<?php

// Multiple Inclusion Protection
if (!defined("CLASS_TPL_PHASE_ACTIVITY_INC"))
{
define("CLASS_TPL_PHASE_ACTIVITY_INC",1);
// Multiple Inclusion Protection


  class tpl_phase_activity extends atkNode
  {
    function tpl_phase_activity()
    {
      $this->atkNode("tpl_phase_activity"); // node() constructor is *not* called automatically!

      $this->addAttribute(new atkManyToOneRelation("activityid","activity",AF_PRIMARY));
      $this->addAttribute(new atkManyToOneRelation("phaseid","tpl_phase",AF_PRIMARY)); 

      $this->setTable("tpl_phase_activity","tpl_phase_activity");

      $this->debug("tpl_phase_activity::tpl_phase_activity()");
    }

    function descriptor_def()
    {
      return "activityid: [activity] (todo: name)";
    }
  }


} // endif CLASS_EMPLOYEE_INC;

?>
